<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/artifacts",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "Artifacts"
}
-->

# Artifacts

Read information about artifacts Xcode Cloud creates when it performs a build.

## Discussion

The `ciArtifacts` resource represents an artifact that Xcode Cloud creates when it performs a workflow’s action. Use it to access the artifact’s:

- Download URL
- Filename
- File size
- Type

Use the provided information to create statistics for the artifacts Xcode Cloud creates or archive Xcode Cloud build artifacts on your own server.

> Note:
> This resource supports JSON web tokens with a lifetime of up to six months. For more information, see <doc://com.apple.appstoreconnectapi/documentation/AppStoreConnectAPI/generating-tokens-for-api-requests#Determine-the-Appropriate-Token-Lifetime>.

## Topics

### Getting Build Artifact Information

[`GET /v1/ciArtifacts/{id}`](/documentation/AppStoreConnectAPI/GET-v1-ciArtifacts-_id_)

Get information about the artifact Xcode Cloud created for a specific action when it performed a build.

### Objects

[`CiArtifact`](/documentation/AppStoreConnectAPI/CiArtifact)

A file output produced by an Xcode Cloud build action, such as an app archive, test result bundle, or build log.

[`CiArtifactResponse`](/documentation/AppStoreConnectAPI/CiArtifactResponse)

The response body for endpoints that read a single artifact produced by an Xcode Cloud build action.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)